Subject: bug#13691: 24.3.50; Problem with glyphs in unibyte buffers

From: Stefan Kangas <[email-masked]>
Date: Mon, 31 Aug 2020 21:23:35 +0000

Eduardo Ochs <[email-masked]> writes:

> It seems that the bug is solved in Emacs26. I don't have Emacs27
> or git Emacs in this machine, but I will compile them tomorrow
> and check.
>
> The shell script that I used to do the test is below (for the sake of
> completeness). It creates two very similar files that only differ in
> their "coding:" lines and then opens them with "emacs26 -Q". After
> opening each of them you will have to run `M-x eval-buffer' and then
> do a `C-x C-e' after the `(insert ...)' line close to the end.

Thanks, please report back with your findings.  (Chances are the bug is
fixed if it works on Emacs 26, but it's always good to know for sure.)

> Just a curiosity... is there a standard(-ish) way to send a
> script like this to a shell buffer? I use eev all the time and in
> eev this is trivial - see:
>
>   http://angg.twu.net/eev-intros/find-eepitch-intro.html#1
>
> but sometimes I need to send scripts and tests like this to
> people that don't use eev...

I'm not aware of anything like that, sorry.